Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.keygen
Class JDBCPkSqlCreateCommand

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractCreateCommand
          org.jboss.ejb.plugins.cmp.jdbc.JDBCInsertPKCreateCommand
              org.jboss.ejb.plugins.cmp.jdbc.keygen.JDBCPkSqlCreateCommand

All Implemented Interfaces:
  JDBCCreateCommand

public class JDBCPkSqlCreateCommand
extends JDBCInsertPKCreateCommand

Create command that uses an SQL statement to generate the primary key. Typically used with databases that support sequences.

Version:
  $Revision: 1.4 $
Author:
  Alex Loubyansky

Field Summary
`protected JDBCCMPFieldBridge` | `pkField`
`protected String` | `pkSQL`

Fields inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCInsertPKCreateCommand
`existsSQL`

Fields inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractCreateCommand
`createAllowed, debug, entity, exceptionProcessor, insertAfterEjbPostCreate, insertFields, insertSQL, log, securityManager, trace`

Constructor Summary
`JDBCPkSqlCreateCommand()`

Method Summary
`protected void` | `generateFields(EntityEnterpriseContext ctx)`
`void` | `init(JDBCStoreManager manager)`
`protected void` | `initEntityCommand(JDBCEntityCommandMetaData entityCommand)`

Methods inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCInsertPKCreateCommand
`beforeInsert, initExistsSQL`

Methods inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractCreateCommand
`afterInsert, checkCreateAllowed, execute, executeInsert, getGeneratedPKField, getPrimaryKey, initGeneratedFields, initInsertFields, initInsertSQL, isInsertField, performInsert, prepareStatement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pkSQL

    protected String pkSQL

### pkField

    protected JDBCCMPFieldBridge pkField

Constructor Detail

### JDBCPkSqlCreateCommand

    public JDBCPkSqlCreateCommand()

Method Detail

### init

    public void init(JDBCStoreManager manager)
              throws org.jboss.deployment.DeploymentException

  Specified by:
    `init` in interface `JDBCCreateCommand`
  Overrides:
    `init` in class `JDBCInsertPKCreateCommand`
  Throws:
    `org.jboss.deployment.DeploymentException`

### initEntityCommand

    protected void initEntityCommand(JDBCEntityCommandMetaData entityCommand)
                              throws org.jboss.deployment.DeploymentException

  Overrides:
    `initEntityCommand` in class `JDBCAbstractCreateCommand`
  Throws:
    `org.jboss.deployment.DeploymentException`

### generateFields

    protected void generateFields(EntityEnterpriseContext ctx)
                           throws javax.ejb.CreateException

  Overrides:
    `generateFields` in class `JDBCAbstractCreateCommand`
  Throws:
    `javax.ejb.CreateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.